# FNOCC

## General

### ACTIVE_NAT_ORBS

> An array containing the number of virtual natural orbitals per irrep (in Cotton order) so a user can specify the number of retained natural orbitals rather than determining them with OCC_TOLERANCE This keyword overrides OCC_TOLERANCE and OCC_PERCENTAGE

> - Type: array
> - Default: No Default

### BRUECKNER_MAXITER

> Maximum number of iterations for Brueckner orbitals optimization

> - Type: integer
> - Default: 20

### CC_SCALE_OS

> Oppposite-spin scaling factor for SCS-CCSD

> - Type: double
> - Default: 1.27

### CC_SCALE_SS

> Same-spin scaling factor for SCS-CCSD

> - Type: double
> - Default: 1.13

### CC_TIMINGS

> Do time each cc diagram?

> - Type: boolean
> - Default: false

### CEPA_NO_SINGLES

> Flag to exclude singly excited configurations from a coupled-pair computation.

> - Type: boolean
> - Default: false

### CHOLESKY_TOLERANCE

> tolerance for Cholesky decomposition of the ERI tensor

> - Type: conv double
> - Default: 1.0e-4

### DFCC

> Do use density fitting or cholesky decomposition in CC? This keyword is used internally by the driver. Changing its value will have no effect on the computation.

> - Type: boolean
> - Default: false

### DF_BASIS_CC

> Auxilliary basis for df-ccsd(t).

> - Type: string
> - Possible Values: basis string
> - Default: No Default

### DIIS_MAX_VECS

> Desired number of DIIS vectors

> - Type: integer
> - Default: 8

### DIPMOM

> Compute the dipole moment? Note that dipole moments are only available in the FNOCC module for the ACPF, AQCC, CISD, and CEPA(0) methods.

> - Type: boolean
> - Default: false

### E_CONVERGENCE

> Convergence criterion for CC energy. See Table Post-SCF Convergence for default convergence criteria for different calculation types. Note that convergence is met only when E_CONVERGENCE and R_CONVERGENCE are satisfied.

> - Type: conv double
> - Default: 1.0e-6

### MAXITER

> Maximum number of CC iterations

> - Type: integer
> - Default: 100

### MP2_SCALE_OS

> Opposite-spin scaling factor for SCS-MP2

> - Type: double
> - Default: 1.20

### MP2_SCALE_SS

> Same-spin scaling factor for SCS-MP2

> - Type: double
> - Default: 1.0

### NAT_ORBS

> Do use MP2 NOs to truncate virtual space for QCISD/CCSD and (T)?

> - Type: boolean
> - Default: false

### OCC_PERCENTAGE

> Cutoff for occupation of MP2 virtual NOs in FNO-QCISD/CCSD(T). The number of virtual NOs is chosen so the occupation of the truncated virtual space is OCC_PERCENTAGE percent of occupation of the original MP2 virtual space. This option is only used if NAT_ORBS = true. This keyword overrides OCC_TOLERANCE

> - Type: double
> - Default: 99.0

### OCC_TOLERANCE

> Cutoff for occupation of MP2 virtual NOs in FNO-QCISD/CCSD(T). Virtual NOs with occupations less than OCC_TOLERANCE will be discarded. This option is only used if NAT_ORBS = true.

> - Type: conv double
> - Default: 1.0e-6

### R_CONVERGENCE

> Convergence for the CC amplitudes. Note that convergence is met only when E_CONVERGENCE and R_CONVERGENCE are satisfied.

> - Type: conv double
> - Default: 1.0e-7

### SCS_CCSD

> Do SCS-CCSD?

> - Type: boolean
> - Default: false

### SCS_CEPA

> Do SCS-CEPA? Note that the scaling factors will be identical to those for SCS-CCSD.

> - Type: boolean
> - Default: false

### SCS_MP2

> Do SCS-MP2?

> - Type: boolean
> - Default: false

### TRIPLES_LOW_MEMORY

> Do use low memory option for triples contribution? Note that this option is enabled automatically if the memory requirements of the conventional algorithm would exceed the available resources

> - Type: boolean
> - Default: false

## Expert

### CEPA_LEVEL

> Which coupled-pair method is called? This parameter is used internally by the python driver. Changing its value won’t have any effect on the procedure.

> - Type: string
> - Default: CEPA(0)

### COMPUTE_MP4_TRIPLES

> Do compute MP4 triples contribution?

> - Type: boolean
> - Default: false

### COMPUTE_TRIPLES

> Do compute triples contribution?

> - Type: boolean
> - Default: true

### RUN_CCSD

> do ccsd rather than qcisd?

> - Type: boolean
> - Default: false

### RUN_CEPA

> Is this a CEPA job? This parameter is used internally by the pythond driver. Changing its value won’t have any effect on the procedure.

> - Type: boolean
> - Default: false

### RUN_MP2

> do only evaluate mp2 energy?

> - Type: boolean
> - Default: false

### RUN_MP3

> do only evaluate mp3 energy?

> - Type: boolean
> - Default: false

### RUN_MP4

> do only evaluate mp4 energy?

> - Type: boolean
> - Default: false

### USE_DF_INTS

> Use 3-index integrals to generate 4-index ERI’s? This keyword is used for testing purposes only. Changing its value will have no effect on the computation.

> - Type: boolean
> - Default: false